Amazon Neptune 引擎版本 1.0.2.1.R3 (2019-12-12) - Amazon Neptune
Amazon Web Services 文档中描述的 Amazon Web Services 服务或功能可能因区域而异。要查看适用于中国区域的差异,请参阅中国的 Amazon Web Services 服务入门

本文属于机器翻译版本。若本译文内容与英语原文存在差异,则一律以英文原文为准。

Amazon Neptune 引擎版本 1.0.2.1.R3 (2019-12-12)

在此引擎版本中修复的缺陷

  • 修复了一个错误,该错误的表现为:即使使用 neptune_lab_mode 参数中的 ObjectIndex 值正确启用了实验室模式中的功能,也禁用 OSGP 索引。

  • 修复了一个错误,该错误会影响在 .project().by() 步骤内带有 .fold() 的 Gremlin 查询。例如,它导致以下查询返回不完整的结果:

    g.V().project("a").by(valueMap().fold())
  • 修复了 RDF 数据批量加载中的性能瓶颈。

  • 修复了在启用流并在主服务器之前重新启动副本时导致副本崩溃的错误。

  • 修复了实例上轮换的 SSL 证书在没有重新启动实例的情况下不会被选取的错误。

此版本支持的查询语言版本

在将数据库集群升级到版本 1.0.2.1.R3 之前,请确保您的项目与以下查询语言版本兼容:

  • Grimlin 版本: 3.4.1

  • SPARQL 版本: 1.1

升级到引擎版本 1.0.2.1.R3

您可以将任何以前的 Neptune 引擎版本手动升级到此版本。

但是,不支持自动更新到此版本

升级到此版本

Amazon Neptune 1.0.2.1.R3 现已正式上市。

如果数据库集群运行的引擎版本有此版本的升级路径,则现在有资格进行升级。您可以使用控制台上的数据库集群操作或者使用开发工具包来升级任何符合条件的集群。以下 CLI 命令将立即升级符合条件的集群:

针对 Linux、OS X 或 Unix:

aws neptune modify-db-cluster \ --db-cluster-identifier (your-neptune-cluster) \ --engine-version 1.0.2.1 \ --apply-immediately

对于 Windows:

aws neptune modify-db-cluster ^ --db-cluster-identifier (your-neptune-cluster) ^ --engine-version 1.0.2.1 ^ --apply-immediately

更新将同时应用于数据库集群中的所有实例。更新需要在这些实例上重新启动数据库,因此,会出现从 20 到 30 秒到几分钟的停机,之后您可以继续使用数据库集群。

有关升级引擎版本的更多信息,请参阅Neptune 引擎更新. 如果您有任何问题或疑问,Amazon可通过社区论坛和通过社区论坛联系 Support。AmazonPremium Support.